| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Macros | Enumerations
propgriddefs.h File Reference

#define | wxPG_LABEL (*wxPGProperty::sm_wxPG_LABEL)
#define | wxPG_LABEL_STRING wxS("@!")
#define | wxPG_NULL_BITMAP wxNullBitmap
#define | wxPG_COLOUR_BLACK (*wxBLACK)
#define | wxPG_COLOUR(R, G, B) ((wxUint32)(R+(G<<8)+(B<<16)))
| Convert Red, Green and Blue to a single 32-bit value. More...
#define | wxPG_DEFAULT_IMAGE_SIZE wxSize(-1, -1)
| If property is supposed to have custom-painted image, then returning this in OnMeasureImage() will usually be enough. More...
typedef int(* | wxPGSortCallback )(wxPropertyGrid *propGrid, wxPGProperty *p1, wxPGProperty *p2)
| This callback function is used for sorting properties. More...
typedef wxString | wxPGCachedString

## Macros

#define | wxPG_INVALID_VALUE INT_MAX
#define | wxPG_DONT_RECURSE 0x00000000
| Flags for wxPropertyGrid::SetPropertyAttribute() etc. More...
#define | wxPG_BASE_OCT (long)8
#define | wxPG_BASE_DEC (long)10
#define | wxPG_BASE_HEX (long)16
#define | wxPG_BASE_HEXL (long)32
#define | wxPG_PREFIX_NONE (long)0
#define | wxPG_PREFIX_0x (long)1
#define | wxPG_PREFIX_DOLLAR_SIGN (long)2

## Enumerations

enum | wxPG_GETPROPERTYVALUES_FLAGS { wxPG_KEEP_STRUCTURE = 0x00000010, wxPG_RECURSE = 0x00000020, wxPG_INC_ATTRIBUTES = 0x00000040, wxPG_RECURSE_STARTS = 0x00000080, wxPG_FORCE = 0x00000100, wxPG_SORT_TOP_LEVEL_ONLY = 0x00000200 }
enum | wxPG_MISC_ARG_FLAGS { wxPG_FULL_VALUE = 0x00000001, wxPG_REPORT_ERROR = 0x00000002, wxPG_PROPERTY_SPECIFIC = 0x00000004, wxPG_EDITABLE_VALUE = 0x00000008, wxPG_COMPOSITE_FRAGMENT = 0x00000010, wxPG_UNEDITABLE_COMPOSITE_FRAGMENT = 0x00000020, wxPG_VALUE_IS_CURRENT = 0x00000040, wxPG_PROGRAMMATIC_VALUE = 0x00000080 }
enum | wxPG_SETVALUE_FLAGS { wxPG_SETVAL_REFRESH_EDITOR = 0x0001, wxPG_SETVAL_AGGREGATED = 0x0002, wxPG_SETVAL_FROM_PARENT = 0x0004, wxPG_SETVAL_BY_USER = 0x0008 }

## Macro Definition Documentation

#define wxPG_BASE_DEC (long)10

#define wxPG_BASE_HEX (long)16

#define wxPG_BASE_HEXL (long)32

#define wxPG_BASE_OCT (long)8

#define wxPG_COLOUR | ( |  | R,
|  |  | G,
|  |  | B
| ) |  | ((wxUint32)(R+(G<<8)+(B<<16)))

Convert Red, Green and Blue to a single 32-bit value.

#define wxPG_COLOUR_BLACK (*wxBLACK)

# Miscellaneous Topics

This section describes some miscellanous values, types and macros.

#define wxPG_DEFAULT_IMAGE_SIZE wxSize(-1, -1)

If property is supposed to have custom-painted image, then returning this in OnMeasureImage() will usually be enough.

#define wxPG_DONT_RECURSE 0x00000000

Flags for wxPropertyGrid::SetPropertyAttribute() etc.

#define wxPG_INVALID_VALUE INT_MAX

#define wxPG_LABEL (*wxPGProperty::sm_wxPG_LABEL)

# Miscellaneous Topics

This section describes some miscellanous values, types and macros.

#define wxPG_LABEL_STRING wxS("@!")

# Miscellaneous Topics

This section describes some miscellanous values, types and macros.

#define wxPG_NULL_BITMAP wxNullBitmap

# Miscellaneous Topics

This section describes some miscellanous values, types and macros.

#define wxPG_PREFIX_0x (long)1

#define wxPG_PREFIX_DOLLAR_SIGN (long)2

#define wxPG_PREFIX_NONE (long)0

## Typedef Documentation

typedef wxString wxPGCachedString

# Miscellaneous Topics

This section describes some miscellanous values, types and macros.

typedef int(* wxPGSortCallback)(wxPropertyGrid *propGrid, wxPGProperty *p1, wxPGProperty *p2)

This callback function is used for sorting properties.

Call wxPropertyGrid::SetSortFunction() to set it.

Sort function should return a value greater than 0 if position of p1 is after p2. So, for instance, when comparing property names, you can use following implementation:

1 int MyPropertySortFunction(wxPropertyGrid* propGrid,
2 wxPGProperty* p1,
3 wxPGProperty* p2)
4 {
5 return p1->GetBaseName().compare( p2->GetBaseName() );
6 }

## Enumeration Type Documentation

enum wxPG_GETPROPERTYVALUES_FLAGS

Enumerator
wxPG_KEEP_STRUCTURE | Flags for wxPropertyGridInterface::GetPropertyValues.
wxPG_RECURSE | Flags for wxPropertyGrid::SetPropertyAttribute() etc.
wxPG_INC_ATTRIBUTES | Include attributes for GetPropertyValues.
wxPG_RECURSE_STARTS | Used when first starting recursion.
wxPG_FORCE | Force value change.
wxPG_SORT_TOP_LEVEL_ONLY | Only sort categories and their immediate children. Sorting done by wxPG_AUTO_SORT option uses this.

enum wxPG_MISC_ARG_FLAGS

Enumerator
wxPG_FULL_VALUE |
wxPG_REPORT_ERROR |
wxPG_PROPERTY_SPECIFIC |
wxPG_EDITABLE_VALUE |
wxPG_COMPOSITE_FRAGMENT |
wxPG_UNEDITABLE_COMPOSITE_FRAGMENT |
wxPG_VALUE_IS_CURRENT |
wxPG_PROGRAMMATIC_VALUE |

enum wxPG_SETVALUE_FLAGS

Enumerator
wxPG_SETVAL_REFRESH_EDITOR |
wxPG_SETVAL_AGGREGATED |
wxPG_SETVAL_FROM_PARENT |
wxPG_SETVAL_BY_USER |